<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования групп меток.
 * 
 * Файл: /admin/tag/action/add_edit_tags_group.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Получаем переданные поля
$param = array();


$param['tags_group_id'] = to_int($_REQUEST['tags_group_id']);
$param['tags_group_parent_id'] = to_int($_REQUEST['new_tags_group_parent_id']);
$param['tags_group_name'] = to_str($_REQUEST['tags_group_name']);
$param['tags_group_description'] = to_str($_REQUEST['tags_group_description']);
$param['tags_group_order'] = to_int($_REQUEST['tags_group_order']);

if (isset($_REQUEST['users_id']) && $_REQUEST['users_id'] !== false)
{
	$param['users_id'] = to_int($_REQUEST['users_id']);
}
else
{
	$param['users_id'] = false;
}

$Tag = & singleton('Tag');

// Если добавление прошло успешно, обязательно добавим на форму скрытое поле с ID добавленной записи
if ($tags_group_id = $Tag->InsertTagsGroup($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddTagsGroup', 'tags_group_id', '<?php echo $tags_group_id?>');
	</script><?php

	// Редактирование сущности
	if (isset($_REQUEST['tags_group_id']))
	{
		show_message($GLOBALS['MSG_tag']['edit_tags_group_success']);
	}
	// Добавление сущности
	else
	{
		show_message($GLOBALS['MSG_tag']['add_tags_group_success']);
	}
}
// Ошибка добавления/редактирования
else
{
	if (isset($_REQUEST['tag_id']))
	{
		show_error_message($GLOBALS['MSG_tag']['edit_tags_group_error']);
	}
	else
	{
		show_error_message($GLOBALS['MSG_tag']['add_tags_group_error']);
	}
}
?>